package ${packageName}.model.vo;
<#if table.tplCategory=="crud" >
<#--判断主键类型，设置继承实体类 -->
    <#if pkColumn??&&pkColumn.javaType=="String" >
        <#assign Entity = "BaseEntityStr">
    <#elseif pkColumn??&&pkColumn.javaType=="Integer">
        <#assign Entity = "BaseEntityInt">
    <#elseif pkColumn??&&pkColumn.javaType=="Long">
        <#assign Entity = "BaseEntityLong">
    <#else>
        <#assign Entity = "BaseEntityLong">
    </#if>
<#elseif table.tplCategory=="sub" || table.tplCategory=="subone">
<#--判断主键类型，设置继承实体类 -->
    <#if pkColumn??&&pkColumn.javaType=="String" >
        <#assign Entity = "BaseEntityStr">
    <#elseif pkColumn??&&pkColumn.javaType=="Integer">
        <#assign Entity = "BaseEntityInt">
    <#elseif pkColumn??&&pkColumn.javaType=="Long">
        <#assign Entity = "BaseEntityLong">
    <#else>
        <#assign Entity = "BaseEntityLong">
    </#if>
<#else>
    <#assign Entity = "BaseEntityLong">
</#if>
import com.mortals.framework.model.${Entity};
import ${packageName}.model.${ClassName}Entity;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;
import com.mortals.framework.annotation.Excel;
import java.math.BigDecimal;
import java.util.Date;
/**
* ${functionName}视图对象
*
* @author ${author}
* @date ${datetime}
*/
@Data
public class ${ClassName}Vo extends ${Entity} {

<#list columns as column>
    <#if !column.isSuperColumn(column.javaField) && column.isExport==1>
        /**
        * ${column.columnComment}
        */
        <#if column.isExport==1>
            <#assign comment=column.subComment(column.columnComment) />
            <#assign parentheseIndex =column.columnComment?index_of("(")>
            <#if parentheseIndex != -1>
        @Excel(name = "${comment}", readConverterExp = "${column.readConverterExp()}")
            <#elseif column.javaType == "Date">
        @Excel(name = "${comment}", width = 30, dateFormat = "yyyy-MM-dd")
            <#else>
        @Excel(name = "${comment}")
            </#if>
        </#if>
        <#if column.isSerialize==1>
        @JSONField(serialize = false)
        </#if>
        private ${column.javaType} ${column.javaField};
    </#if>
</#list>


<#if table.tplCategory=="tree" >
    /** 子${functionName} */
    private List<${ClassName}Entity> children = new ArrayList<>();
</#if>
}